import * as _versini_ui_private_dist_utilities from '@versini/ui-private/dist/utilities';
import * as _floating_ui_react from '@floating-ui/react';
import * as React from 'react';
import React__default from 'react';
import * as react_jsx_runtime from 'react/jsx-runtime';

declare const MenuComponent: React__default.ForwardRefExoticComponent<Omit<{
    trigger: React__default.ReactNode;
    children?: React__default.ReactNode;
    defaultPlacement?: _floating_ui_react.Placement;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    mode?: "dark" | "light" | "system" | "alt-system";
    label?: string;
    onOpenChange?: (open: boolean) => void;
} & _versini_ui_private_dist_utilities.SpacingProps & React__default.HTMLProps<HTMLButtonElement>, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;
declare const Menu: React__default.ForwardRefExoticComponent<Omit<{
    trigger: React__default.ReactNode;
    children?: React__default.ReactNode;
    defaultPlacement?: _floating_ui_react.Placement;
    focusMode?: "dark" | "light" | "system" | "alt-system";
    mode?: "dark" | "light" | "system" | "alt-system";
    label?: string;
    onOpenChange?: (open: boolean) => void;
} & _versini_ui_private_dist_utilities.SpacingProps & React__default.HTMLProps<HTMLButtonElement>, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;

type MenuItemProps = {
	/**
	 * The label to use for the menu item.
	 */
	label: string;
	/**
	 * Whether or not the menu item is disabled.
	 * @default false
	 */
	disabled?: boolean;
	/**
	 * A React component of type Icon to be placed on the left of the label.
	 */
	icon?: React__default.ReactNode;
};

type MenuSeparatorProps = React__default.HTMLAttributes<HTMLDivElement>;

declare const MenuItem: React.ForwardRefExoticComponent<MenuItemProps & React.ButtonHTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
declare const MenuSeparator: ({ className, ...props }: MenuSeparatorProps) => react_jsx_runtime.JSX.Element;

export { Menu, MenuComponent, MenuItem, MenuSeparator };
